#ifndef APP_SENSORS_IMPL_H
#define APP_SENSORS_IMPL_H

/* Hardware APIs */
#include "hardware/i2c.h"

/* Sensors */
#include "imsensors/common/sensors_common.h"

typedef struct {
    i2c_inst_t *i2c_inst;
    uint8_t     scl_pin;
    uint8_t     sda_pin;
    uint8_t     led_pin;

    /* Peripheral Specific */
    uint8_t dev_addr;
} app_sensors_impl_t;

int       app_sensors_impl_init(void *pdev);
ims_ret_t app_sensors_i2c_xfer(void *pdev, ims_i2c_xfer_desc_t *xfer);
ims_ret_t app_sensors_delay(void *pdev, uint32_t delay_msec);

#endif  // APP_SENSORS_IMPL_H
